/*
 * serial.h
 *
 * Created: 07.03.2018 12:55:58
 *  Author: dsosnowski
 */ 


#ifndef SERIAL_H_
#define SERIAL_H_

#define SERIAL_KEY					'@'
#define SERIAL_COMM_WRITE			'='
#define SERIAL_COMM_SET				'_'
#define SERIAL_COMM_CLR				'!'
#define SERIAL_COMM_SPEC			'*'
#define SERIAL_POSTFIX				0x0D	//enter

void SerialInit(void);
uint8_t SerialCheck(void);
uint8_t SerialLenGet(void);
uint8_t *SerialGet(void);
void SerialClear(void);

#endif /* SERIAL_H_ */